# Created by pyp2rpm-3.2.2
%global pypi_name pywebpush

Name:           python-%{pypi_name}
Version:        1.14.0
Release:        1%{?dist}
Summary:        WebPush publication library

License:        MPL2
URL:            https://github.com/web-push-libs/pywebpush
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-cryptography >= 1.8.1
BuildRequires:  python3-http-ece >= 1.0.5
BuildRequires:  python3-requests >= 2.13.0
BuildRequires:  python3-py-vapid >= 1.3.0
BuildRequires:  python3-nose >= 1.3.7
BuildRequires:  python3-coverage >= 4.4.1
BuildRequires:  python3-mock >= 2.0.0
BuildRequires:  python3-flake8 >= 3.3.0
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

%description
|Build Status| |Requirements Status|Webpush Data encryption library for Python
This is a work in progress. This library is available on pypi as pywebpush <
Source is available on github < You'll need to run python virtualenv. Then::
bin/pip install r requirements.txt bin/python setup.py developUsage In the
browser, the promise handler for registration.pushManager.subscribe() < returns
a...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-cryptography >= 1.8.1
Requires:       python3-http-ece >= 1.0.5
Requires:       python3-requests >= 2.13.0
Requires:       python3-py-vapid >= 1.3.0
%description -n python3-%{pypi_name}
|Build Status| |Requirements Status|Webpush Data encryption library for Python
This is a work in progress. This library is available on pypi as pywebpush <
Source is available on github < You'll need to run python virtualenv. Then::
bin/pip install r requirements.txt bin/python setup.py developUsage In the
browser, the promise handler for registration.pushManager.subscribe() < returns
a...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
cp %{buildroot}/%{_bindir}/pywebpush %{buildroot}/%{_bindir}/pywebpush-%{python3_version}
ln -s %{_bindir}/pywebpush-%{python3_version} %{buildroot}/%{_bindir}/pywebpush-3


%check
#{__python3} setup.py test
%pytest -m "not network"


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst README.md
%{_bindir}/pywebpush
%{_bindir}/pywebpush-3
%{_bindir}/pywebpush-%{python3_version}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py*.egg-info

%changelog
* Sat Oct 30 2021 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.14.0-1
- Update to upstream.

* Tue Apr 27 2021 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.13.0-1
- Update to upstream.

* Mon Oct 21 2019 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.10.0-1
- Update to upstream.

* Thu May 02 2019 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.7.0-2
- Removed python2 support.

* Wed Oct 31 2018 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.7.0-1
- Update to upstream.

* Sat Jan 27 2018 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5.0-1
- Initial package.
